> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Provider fund clients

GET https://api.filesearch.dev/v2/datasets/odyssey/service-providers/{provider_id}/funds

Get funds who are clients of this service provider (MINIMAL)

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/service-providers/service-providers-funds

## Request

### Path parameters

- `provider_id` (string, required) — Service provider entity ID

### Query parameters

- `limit` (integer, optional, default: 25)

## Response

### 200

Successful Response

- `entity_id` (string, optional)
- `funds` (list of OdysseyServiceProvidersFundsResponseFundsItems, optional)
- `total` (integer, optional)
- `limit` (integer, optional)
- `data_sources` (list of string, optional)

## Types

### OdysseyServiceProvidersFundsResponseFundsItems

- `title` (string, optional)
- `url` (string, optional)
- `excerpts` (list of string, optional)
- `source` (string, optional)

## Examples

**Response**

```json
{
  "entity_id": "kirkland & ellis",
  "funds": [
    {
      "title": "Private Equity | Services | Kirkland & Ellis LLP",
      "url": "https://www.kirkland.com/services/practices/transactional/private-equity",
      "excerpts": [
        "Kirkland & Ellis LLP Kirkland & Ellis LLP\n* Home\n* Services\n* Private Equity\nMenu\nTop\n\n...\n\n# Private Equity\n## Overview\n> Law Firm of the Year (Transactions) in North America, Europe and Asia - Private Equity International (PEI) Awards, 2023\nServing more than 800 private equity clients around the globe, our practice generates the largest deal flow of any law firm. Kirkland consistently ranks at the top among legal advisers to private equity buyouts in the U.S., Europe and Asia. Our substantial end-to-end involvement provides a unique view into every facet of the PE landscape. Using …"
      ],
      "source": "web_search"
    },
    {
      "title": "Growth Equity & Venture Capital | Services | Kirkland & Ellis LLP",
      "url": "https://www.kirkland.com/services/practices/transactional/growth-equity-and-venture-capital",
      "excerpts": [
        "Kirkland & Ellis LLP Kirkland & Ellis LLP\n* Home\n* Services\n* Growth Equity & Venture Capital\nMenu\nTop\n\n...\n\n# Growth Equity & Venture Capital\n## Overview\nGrowth and venture investors continue to call on Kirkland for counsel to execute investment transactions into high-growth companies. Kirkland’s Growth Equity & Venture Capital Practice Group leverages the depth of talent and resources from its market-leading M&A and Investment Funds practices, utilizes an efficient advisory model sized and scoped to the particular transaction goals, and has developed significant market knowledge and …"
      ],
      "source": "web_search"
    }
  ],
  "total": 10,
  "limit": 25,
  "data_sources": [
    "web_search"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/service-providers/kirkland%20%26%20ellis/funds",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/service-providers/kirkland%20%26%20ellis/funds`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```